#include <stdio.h>
#include "point.h"
#include "rectangle.h"

void main() {
	t_point p1 = {3,2};
	t_point p2 = {-1,-1};
	t_rectangle r = {p1, p2};

	printf("Point 1: ");
	print_point(p1); printf("\n");
	printf("Point 2: ");
	print_point(p2); printf("\n");
	printf("Rectangle: ");
	print_rectangle(r); printf("\n");
	printf("Area: ");
	printf("%lf\n", calculate_area(r));
	printf("Perimeter: ");
	printf("%lf\n", calculate_perimeter(r));
}

